% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/rb3-package.R
\name{meta_db_connection}
\alias{meta_db_connection}
\title{Returns a SQLite Database Connection for the RB3 Package Metadata}
\usage{
meta_db_connection()
}
\value{
A SQLite connection object for metadata storage
}
\description{
This function provides a consistent way to connect to the SQLite database used for RB3 package metadata.
It returns an existing connection if one is already established and valid, or creates a new
connection if needed.
}
\details{
The function first checks if a valid connection already exists in the package registry.
If not, it establishes a new connection to a SQLite database located in the configured
database folder and stores this connection in the package registry.
}
\examples{
# Get a connection to the RB3 metadata database
con <- meta_db_connection()

}
